module.exports = {
  create: {
    requestBody: ["!teacherid","teacher", "!date", "!subid"],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: ["!teacherid","teacher", "!date", "!subid", "status"],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        teacherid: "teacherid",
        date: "date",
        subid: "subid",
        status: "status",
      },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
};
