module.exports = {
  create: {
    requestBody: [
      '!name',
      'code',
      'bedroom',
      'sign',
      'hascar'
    ]
  },
  destroy: {
    params: ['!id'],
    service: 'delete'
  },
  update: {
    params: ['!id'],
    requestBody: [
      'name',
      'code',
      'bedroom',
      'sign',
      'hascar'
    ]
  },
  show: {
    parameters: {
      params: ['!id']
    },
    service: 'fetch'
  },
  index: {
    parameters: {
      query: {
        name: 'name',
        code  :'code',
        bedroom:'bedroom',
        sign: 'sign',
        hascar: 'hascar'
      }
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true
    }
  },
};
