module.exports = {
  create: {
    requestBody: [
      "!name",
      "!id_number",
      "!phone",
      "gender",
      "nation",
      "school_name",
      "schid",
      "faculty",
      "major",
      "edua_level",
      "edua_system",
      "entry_year",
      "finish_year",
      "school_job",
      "qq",
      "email",
      "openid",
      "family_place",
      "family_is_hard",
      "have_grant",
      "job",
      "planyearid",
      "planid",
      "termid",
      "batchid",
      "classid",
      "bedroomid",
      "bedroom",
      "is_fine",
      "selfscore",
      "score",
      "diy",
      "isComming",
      "type",
      "status",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "name",
      "id_number",
      "phone",
      "gender",
      "nation",
      "school_name",
      "schid",
      "faculty",
      "major",
      "edua_level",
      "edua_system",
      "entry_year",
      "finish_year",
      "school_job",
      "qq",
      "email",
      "openid",
      "family_place",
      "family_is_hard",
      "have_grant",
      "job",
      "planyearid",
      "planid",
      "termid",
      "batchid",
      "classid",
      "bedroomid",
      "bedroom",
      "is_fine",
      "selfscore",
      "score",
      "diy",
      "isComming",
      "type",
      "status",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        name: "name",
        id_number: "id_number",
        phone: "phone",
        gender: "gender",
        nation: "nation",
        school_name: "school_name",
        schid: "schid",
        faculty: "faculty",
        major: "major",
        edua_level: "edua_level",
        edua_system: "edua_system",
        entry_year: "entry_year",
        finish_year: "finish_year",
        school_job: "school_job",
        qq: "qq",
        email: "email",
        openid: "openid",
        family_place: "family_place",
        family_is_hard: "family_is_hard",
        have_grant: "have_grant",
        job: "job",
        planyearid: "planyearid",
        planid: "planid",
        termid: "termid",
        batchid: "batchid",
        classid: "classid",
        bedroomid: "bedroomid",
        bedroom: "bedroom",
        is_fine: "is_fine",
        selfscore: "selfscore",
        score: "score",
        diy: "diy",
        isComming: "isComming",
        type: "type",
        is_find_status: "is_find_status",
      },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
  finestudent: {
    parameters:{params: ["!id"]},
    service: "getFineStudent",
  },
};
