'use strict';

const _ = require('lodash');
const Controller = require('egg').Controller;
const { CrudController } = require('naf-framework-mongoose/lib/controller');

// 寝室管理
class CerconfirmController extends Controller {
  constructor(ctx) {
    super(ctx);
    this.service = this.ctx.service.cerconfirm;
  }

  // 一键分寝
  async index() {
    const res = await this.service.getStudentList(this.ctx.query);
    this.ctx.ok({ data: res });
  }

}

module.exports = CrudController(CerconfirmController, {});
