'use strict';

const _ = require('lodash');
const meta = require('./.uploadtask.js');
const Controller = require('egg').Controller;
const { CrudController } = require('naf-framework-mongoose/lib/controller');

// 学生上传作业管理
class UploadtaskController extends Controller {

  constructor(ctx) {
    super(ctx);
    this.service = this.ctx.service.uploadtask;
  }

  async index() {
    const res = await this.service.query(this.ctx.query);
    this.ctx.ok({ ...res });
  }


}

module.exports = CrudController(UploadtaskController, meta);
