'use strict';

module.exports = () => {
  const config = exports = {};

  config.logger = {
    level: 'DEBUG',
    consoleLevel: 'DEBUG',
  };

  config.wxapi = {
    appid: 'wxd2e28415cb866c0b', // 微信公众号APPID
    baseUrl: 'http://www.jilinjobswx.cn', // 微信网关地址
    mchid: '1505364491', // 商户ID
    mchkey: '1qaz2wsx3edc4rfv5tgb6yhn7ujm8ik9', // 商户key
    wxurl: 'http://jytz.jilinjobs.cn/api/wxpayback',
    payurl: 'https://api.mch.weixin.qq.com/pay/unifiedorder',
    sendDirMq: 'http://www.jilinjobswx.cn/api.weixin.qq.com/cgi-bin/message/template/send?appid=',
  };
  // 签到小程序
  config.wxapp = {
    appid: 'wx3b5ac763ada73e0e',
    secret: '0f30fcbb9ad45697800611ad4af585bb',
    grant_type: 'authorization_code',
  };
  // 服务器发布路径
  config.baseUrl = 'http://jytz.jilinjobs.cn';
  // 认证回调地址
  config.authUrl = '/api/train/auth';
  // 消息模板

  // mongoose config
  config.mongoose = {
    url: 'mongodb://127.0.0.1:27017/train',
    options: {
      user: 'admin',
      pass: 'admin',
      authSource: 'admin',
      useUnifiedTopology: true,
      useNewUrlParser: true,
      useCreateIndex: true,
    },
  };

  // mq配置
  config.amqp = {
    client: {
      hostname: '127.0.0.1',
      username: 'visit',
      password: 'visit',
      vhost: 'train',
    },
    app: true,
    agent: true,
  };


  // redis config
  config.redis = {
    client: {
      port: 6379, // Redis port
      host: '127.0.0.1', // Redis host
      password: 123456,
      db: 0,
    },
  };

  return config;
};
