module.exports = {
  create: {
    requestBody: [
      "!name",
      "gender",
      "nation",
      "!mobile",
      "phone",
      "idnumber",
      "politics",
      "jobaddress",
      "department",
      "job",
      "protitle",
      "education",
      "degree",
      "qq",
      "openid",
      "eduexperience",
      "islyteacher",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "!name",
      "gender",
      "nation",
      "!mobile",
      "phone",
      "idnumber",
      "politics",
      "jobaddress",
      "department",
      "job",
      "protitle",
      "education",
      "degree",
      "qq",
      "openid",
      "eduexperience",
      "islyteacher",
      'status'
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        name: "name",
        mobile: "mobile",
        gender: "gender",
        openid: "openid",
        department: "department",
        islyteacher: "islyteacher",
      },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
};
